using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.IRepositories
{
    public interface IProjectTeamRepository : IRepository<ProjectTeam>
    {
        Task<Tuple<ICollection<ProjectTeam>, int>> GetAllAsync(IPagingInputDto pagingInputDto);
        Task<ProjectTeam> GetByIdAsync(long id);
        Task<ProjectTeam> AddAsync(ProjectTeam entity);
        Task<IList<ProjectTeam>> AddRangeAsync(IList<ProjectTeam> entity);
        Task DeleteAsync(ProjectTeam entity);
        Task DeleteAsync(IEnumerable<ProjectTeam> entities);
    }
}
